/*******************************************************************************
Copyright © 2023 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"heading": "Auftrag",
	"html": "<p>Die Klasse <code>AUDIO</code> soll sich um das fortlaufende Abspielen einer Audiodatei kümmern. Sie soll nur folgende Attribute und Methoden enthalten:</p><dl><dt>Attribut <code>dateiname</code></dt><dd>Zeichenkette mit dem Pfad der abzuspielenden Audiodatei</dd><dt>Methode <code>start</code></dt><dd>Startet das Abspielen der Audiodatei. Hat keine Parameter, ihr Rückgabewert ist ein Wahrheitswert (ob das Abspielen wirklich erfolgreich gestartet wurde; es könnte ja auch z. B. der Pfad falsch sein…).</dd><dt>Methode <code>stopp</code></dt><dd>Beendet sofort das Abspielen der Audiodatei. Hat weder Parameter, noch einen Rückgabewert.</dd><dt>Methode <code>lautstaerkeFestlegen</code></dt><dd>Der erste Parameter <code>lautstaerke</code> (Datentyp <code>byte</code>) gibt an, auf welchen Wert die Lautstärke eingestellt werden soll. Der zweite Parameter <code>aenderbar</code> ist ein Wahrheitswert und bestimmt, ob ein Regler für die Lautstärke anzeigt werden soll. Die Methode hat keinen Rückgabewert.</dd><dt>Methode <code>log</code></dt><dd>Diese Methode hilft beim Fehlerfinden: Sie hat keine Parameter. Ihr Rückgabewert ist eine Zeichenkette, die Infos über den aktuellen Status der Audiowiedergabe enthält.</dd></dl><p>Programmiere die Klassendefinition &dash; abgesehen von inneren Sequenz der Methoden. Die inneren Sequenzen kannst du einfach weglassen, da sie ohnehin nicht überprüft werden und du nicht wissen kannst, wie das konkret zu programmieren ist.</p>",
	"canReset": false,
	"code": "// Hier Klassendefinition einfügen\n",
	"labelSubmit": "📥 Klassendefinition überprüfen",
	"checkType": "json",
	"checkData": [
		{
			"part": "class",
			"name": "AUDIO",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"part": "attribute",
					"name": "dateiname",
					"type": "String",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "method",
					"name": "start",
					"type": "boolean",
					"dimensions": 0,
					"static": false,
					"final": false,
					"abstract": false,
					"params": []
				},
				{
					"part": "method",
					"name": "stopp",
					"type": "void",
					"dimensions": 0,
					"static": false,
					"final": false,
					"abstract": false,
					"params": []
				},
				{
					"part": "method",
					"name": "lautstaerkeFestlegen",
					"type": "void",
					"dimensions": 0,
					"static": false,
					"final": false,
					"abstract": false,
					"params": [
						{
							"part": "variable",
							"name": "lautstaerke",
							"type": "byte",
							"dimensions": 0
						},
						{
							"part": "variable",
							"name": "aenderbar",
							"type": "boolean",
							"dimensions": 0
						}
					]
				},
				{
					"part": "method",
					"name": "log",
					"type": "String",
					"dimensions": 0,
					"static": false,
					"final": false,
					"abstract": false,
					"params": []
				}
			]
		}
	]
}
